pangomm: Pango::GlyphInfo Class Reference

# Pango::GlyphInfo Class Reference

A Pango::GlyphInfo represents a single glyph together with positioning information and visual attributes. More...

Collaboration diagram for Pango::GlyphInfo:
[legend]

List of all members.

## Public Member Functions
| GlyphInfo ()
Glyph | get_glyph () const
| Gets the glyph itself.
GlyphGeometry | get_geometry () const
| Gets the positional information about the glyph.
GlyphVisAttr | get_attr () const
| Gets the visual attributes of the glyph.
PangoGlyphInfo* | gobj ()
| Provides access to the underlying C GObject.
const PangoGlyphInfo* | gobj () const
| Provides access to the underlying C GObject.
## Protected Attributes
PangoGlyphInfo | gobject_
## Related Functions
(Note that these are not member functions.)
Pango::GlyphInfo& | wrap (PangoGlyphInfo* object)
const Pango::GlyphInfo& | wrap (const PangoGlyphInfo* object)

## Detailed Description

A Pango::GlyphInfo represents a single glyph together with positioning information and visual attributes.

## Constructor & Destructor Documentation

Pango::GlyphInfo::GlyphInfo | ( |  | ) |

## Member Function Documentation

GlyphVisAttr Pango::GlyphInfo::get_attr | ( |  | ) | const

Gets the visual attributes of the glyph.

Returns:
  A GlyphVisAttr structure.

GlyphGeometry Pango::GlyphInfo::get_geometry | ( |  | ) | const

Gets the positional information about the glyph.

Returns:
  A GylphGeometry object.

Glyph Pango::GlyphInfo::get_glyph | ( |  | ) | const

Gets the glyph itself.

Returns:
  The glyph.

const PangoGlyphInfo* Pango::GlyphInfo::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GObject.

PangoGlyphInfo* Pango::GlyphInfo::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GObject.

## Friends And Related Function Documentation

const Pango::GlyphInfo& wrap | ( | const PangoGlyphInfo * | object | ) | `[related]`

Pango::GlyphInfo& wrap | ( | PangoGlyphInfo * | object | ) | `[related]`

## Member Data Documentation

PangoGlyphInfo Pango::GlyphInfo::gobject_`[protected]`

The documentation for this class was generated from the following file:

- pangomm/glyph.h